Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _iconsdir %{_datadir}/icons/hicolor/24x24/apps

Summary: Edonkey 2000 file hash calculator
Name: ed2k_hash
Version: 0.4.0
Release: alt2_36
URL: http://ed2k-tools.sourceforge.net/index.shtml
Source0: https://downloads.sourceforge.net/sourceforge/ed2k-tools/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
# Taken from http://dl.sourceforge.net/sourceforge/ed2k-gtk-gui/ed2k-gtk-gui-0.6.4.tar.bz2
Source2: ed2k-logo-mini.png
Patch0: %{name}-64bit.patch
Patch1: %{name}-warnings.patch
Patch2: %{name}-gcc43.patch
Patch3: %{name}-ld.patch
License: GPLv2+
BuildRequires: gcc-c++
BuildRequires: libfltk-devel
BuildRequires: desktop-file-utils
Source44: import.info

%description
A tool that outputs ed2k-links for given files.

%package gui
Group: File tools
Summary: Edonkey 2000 file hash calculator with FLTK GUI

%description gui
A GUI tool that outputs ed2k-links for given files.

%prep
%setup -q
%patch0 -p1 -b .64bit
%patch1 -p1 -b .w
%patch2 -p1 -b .gcc43
%patch3 -p1 -b .ld

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall_std
rm -rf %{buildroot}%{_docdir}/%{name}

iconv -f iso8859-1 -t utf8 AUTHORS > AUTHORS.utf8 &&\
touch -r AUTHORS AUTHORS.utf8 &&\
mv AUTHORS.utf8 AUTHORS
mkdir -p %{buildroot}%{_iconsdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README TODO ed2k_hash/docs/en/*.html
%{_bindir}/%{name}

%files gui
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README TODO ed2k_hash/docs/en/*.html
%{_bindir}/%{name}_gui
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png

%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.4.0-alt2_36
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt2_35
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_35
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_34
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_33
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_32
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_31
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_29
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_28
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_27
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_25
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_24
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_23
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_21
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_20
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_19
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_18
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_17
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_16
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_15
- fc import

